> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Subscribes Zapier to receive webhook notifications for a specific event type.
Creates a new webhook in Raise Donors that will send notifications to Zapier's target URL.

POST https://prod-api.raisedonors.com/api/Zapier/subscribe
Content-Type: application/json

Reference: https://virtuous.ferndocs.com/reference/raise/zapier/zapiersubscribe

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Request

### Body (application/json)

This endpoint expects a ZapierSubscribeRequest.

- `targetUrl` (string, required) — Gets or sets the target URL where Zapier will receive webhook notifications.
- `eventType` (string, required) — Gets or sets the event type to subscribe to (e.g., "Gift_Added", "Donor_Modified").

## Response

### 200

OK

- `id` (long, optional) — Gets or sets the webhook ID.

## Errors

### 400 Bad Request Error

Bad Request

- `Zapier_ZapierSubscribeRequestBadRequestError`
  - ProblemDetails: ProblemDetails
  - HttpValidationProblemDetails: HttpValidationProblemDetails

## Types

### ProblemDetails

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### HttpValidationProblemDetails

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

## Examples

**Request**

```json
{
  "targetUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde",
  "eventType": "Gift_Added"
}
```

**Response**

```json
{
  "id": 987654321
}
```

**SDK Code**

```python
import requests

url = "https://prod-api.raisedonors.com/api/Zapier/subscribe"

payload = {
    "targetUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde",
    "eventType": "Gift_Added"
}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://prod-api.raisedonors.com/api/Zapier/subscribe';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"targetUrl":"https://hooks.zapier.com/hooks/catch/123456/abcde","eventType":"Gift_Added"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-api.raisedonors.com/api/Zapier/subscribe"

	payload := strings.NewReader("{\n  \"targetUrl\": \"https://hooks.zapier.com/hooks/catch/123456/abcde\",\n  \"eventType\": \"Gift_Added\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-api.raisedonors.com/api/Zapier/subscribe")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"targetUrl\": \"https://hooks.zapier.com/hooks/catch/123456/abcde\",\n  \"eventType\": \"Gift_Added\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://prod-api.raisedonors.com/api/Zapier/subscribe")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"targetUrl\": \"https://hooks.zapier.com/hooks/catch/123456/abcde\",\n  \"eventType\": \"Gift_Added\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://prod-api.raisedonors.com/api/Zapier/subscribe', [
  'body' => '{
  "targetUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde",
  "eventType": "Gift_Added"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-api.raisedonors.com/api/Zapier/subscribe");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"targetUrl\": \"https://hooks.zapier.com/hooks/catch/123456/abcde\",\n  \"eventType\": \"Gift_Added\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "targetUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde",
  "eventType": "Gift_Added"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-api.raisedonors.com/api/Zapier/subscribe")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```